
/******************************************************************************
  EP_EventPop c'tor

    Exceptions:
        TYPE_EX_FailedParsingCarrier
 ******************************************************************************/
function EP_EventPop( xmlDOMElement )
{
    try
    {
        this.m_uriStem          = '';
        this.m_displaySeconds   = 0;
        this.m_widthPixels      = 0;
        this.m_heightPixels     = 0;
        this.m_webServerName    = '';

        XML_InitializeMembersFromXMLElement( xmlDOMElement, this, "smsSendPop" );

        this.m_displaySeconds   = parseInt( this.m_displaySeconds );
        this.m_widthPixels      = parseInt( this.m_widthPixels );
        this.m_heightPixels     = parseInt( this.m_heightPixels );
    }
    catch ( e )
    {
        throw new TYPE_EX_FailedParsingEventPop( e );
    }
}
